# Interface methods for submodule: DelaunayConformingQuadEdgeMeshFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import QuadEdgeMeshToQuadEdgeMeshFilterProxy as _QuadEdgeMeshToQuadEdgeMeshFilterProxy


# Interface methods for class: DelaunayConformingQuadEdgeMeshFilter
class DelaunayConformingQuadEdgeMeshFilterProxy(_QuadEdgeMeshToQuadEdgeMeshFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetNumberOfEdgeFlips(self) -> int:
		""""""
		...

	def SetListOfConstrainedEdges(self, iList) -> None:
		""""""
		...

